import React, { useState } from "react";
import { useNavigate } from "react-router-dom";
import MailIcon from "d:/360ExtremeBrowserDownload/Mail.svg";
import PasswordEyeIcon from "d:/360ExtremeBrowserDownload/Password eye.svg";
import Line2 from "d:/360ExtremeBrowserDownload/Line 2.svg";
import './styles.css'; // Import the CSS file

const LoginPage = () => {
  const [showPassword, setShowPassword] = useState(false);
  const [email, setEmail] = useState("");
  const [emailError, setEmailError] = useState("");
  const navigate = useNavigate();

  const togglePasswordVisibility = () => {
    setShowPassword(!showPassword);
  };

  const validateEmail = (email) => {
    const emailRegex = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
    return emailRegex.test(email);
  };

  const handleCheckStatusClick = () => {
    if (!validateEmail(email)) {
      setEmailError("Please enter a valid email address.");
      return;
    }

    // Validate the URL before navigating
    const allowedUrls = ["/status"];
    const targetUrl = "/status";

    if (allowedUrls.includes(targetUrl)) {
      navigate(targetUrl);
    } else {
      console.error("Invalid URL redirection attempt");
    }
  };

  return (
    <div className="flex items-center justify-center min-h-screen" style={{ background: '#E9FAFF' }}>
      <div className="absolute top-[66px] left-[139px]">
        <h1 className="font-montserrat font-bold text-[48.31px] leading-[100%]">
          OMPOI - Seller
        </h1>
      </div>
      <div className="absolute bg-white p-8 flex" style={{ width: '1460.608px', height: '729px', top: '194px', left: '134px', borderRadius: '32.6px', boxShadow: '0px 3.91px 11.74px 0px #2E268414' }}>
        {/* Left Side - Illustration */}
        <div className="w-1/2 flex items-center justify-center p-5">
          <img
            src="/Frame 201.svg"
            alt="Illustration"
            className="w-full h-auto"
          />
        </div>

        {/* Divider */}
        <div className="absolute" style={{ width: '624.6708374023443px', top: '52.16px', left: '730.3px', transform: 'rotate(-90deg)', borderWidth: '1.3px', border: '1.3px solid #E2E7EE' }}>
          <img
            src={Line2}
            alt="Line Divider"
            className="w-full h-auto"
          />
        </div>

        {/* Right Side - Login Form */}
        <div className="w-1/2 p-10 flex flex-col justify-center">
          <div style={{ width: '231px', height: '41px', top: '105px', left: '996px', position: 'absolute', fontFamily: 'Montserrat', fontWeight: '600', fontSize: '33.91px', lineHeight: '100%', letterSpacing: '0px', color: '#101418' }}>
            Check Status
          </div>
          
          <div className="mb-4">
            <label className="block text-gray-600 mb-1">Email ID</label>
            <div className="relative">
              <input
                type="email"
                placeholder="Enter Email ID"
                value={email}
                onChange={(e) => setEmail(e.target.value)}
                className="w-full pl-4 pr-10 py-2 border rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-400"
              />
              <img
                src={MailIcon}
                alt="Mail Icon"
                className="absolute right-3 top-3 w-5 h-5"
              />
            </div>
            {emailError && <p className="text-red-500 text-sm mt-1">{emailError}</p>}
          </div>

          <div className="mb-4">
            <label className="block text-gray-600 mb-1">Password</label>
            <div className="relative">
              <input
                type={showPassword ? "text" : "password"}
                placeholder="Enter your password"
                className="w-full px-4 py-2 border rounded-lg focus:outline-none focus:ring-2 focus:ring-blue-400"
              />
              <img
                src={PasswordEyeIcon}
                alt="Password Eye Icon"
                className="absolute right-3 top-3 w-5 h-5 cursor-pointer"
                onClick={togglePasswordVisibility}
              />
            </div>
          </div>

          <div className="flex justify-between text-sm mb-6">
            <a href="#" className="text-gray-500">Forgot Password?</a>
            <a href="#" className="text-orange-500 font-medium">Create an Account</a>
          </div>

          <div style={{ width: '222.44px', height: '61.8px', top: '524.08px', left: '984.24px', position: 'absolute', borderRadius: '34.76px', display: 'flex', justifyContent: 'center', alignItems: 'center' }}>
            <button
              onClick={handleCheckStatusClick}
              className="w-full bg-transparent text-orange-500 py-2 rounded-full hover:bg-orange-500 hover:text-white transition animated-button"
              style={{ fontSize: '22.24px', fontFamily: 'Montserrat', fontWeight: '500', lineHeight: '33.37px', letterSpacing: '0.14px', wordWrap: 'break-word', border: '2.13px solid #FFBD69' }}
            >
              Check Status
            </button>
          </div>
        </div>
      </div>
    </div>
  );
};

export default LoginPage;
